
import 'dart:async';
import 'dart:convert';

import 'package:flutter/services.dart';
import 'package:speedq_printer/Device.dart';

class SpeedqPrinter {
    static const MethodChannel _channel = MethodChannel('speedq_printer');

    static Future<String?> get platformVersion async {
        final String? version = await _channel.invokeMethod('getPlatformVersion');
        return version;
    }

    static Future<List<Device>?> getPairedDevices() async {
        List<Device> result = [];
        for(Map<String, dynamic> map in jsonDecode(await _channel.invokeMethod("getPairedDevices")) as List) {
            result.add(Device.fromJson(map));
        }
        return result;
    }

    static void connect(String mac) async {
        await _channel.invokeMethod("connect", [mac]);
    }

    static void print(String text) async {
        await _channel.invokeMethod("print", [text]);
    }
}
